# ACE_Noop_Key_Generator< T > Class Template Reference

Defines a noop key generator. More...

`#include <Map_T.h>`

List of all members.

## Public Member Functions

int | operator() (T &)
| Functor method: generates a new key.

## Detailed Description

### template<class T>
class ACE_Noop_Key_Generator< T >

Defines a noop key generator.

## Member Function Documentation

template<class T>
ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE int ACE_Noop_Key_Generator< T >::operator() | ( | T & |  | ) |

| Functor method: generates a new key.

The documentation for this class was generated from the following files:

- Map_T.h
- Map_T.inl